RDKit: RDKit::GenericGroups::Matchers Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Functions
RDKit::GenericGroups::Matchers Namespace Reference

## Functions
RDKIT_GENERICGROUPS_EXPORT bool | GroupAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches any group as a side chain.
RDKIT_GENERICGROUPS_EXPORT bool | GroupHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches any group as a side chain including just an H atom.
RDKIT_GENERICGROUPS_EXPORT bool | GroupStarAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches any group as a side chain.
RDKIT_GENERICGROUPS_EXPORT bool | GroupStarHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches any group as a side chain that has a ring closure or just an H atom.
RDKIT_GENERICGROUPS_EXPORT bool | AlkylAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches alkyl side chains.
RDKIT_GENERICGROUPS_EXPORT bool | AlkylHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches alkyl side chains or an H atom.
RDKIT_GENERICGROUPS_EXPORT bool | AlkenylAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches alkenyl side chains.
RDKIT_GENERICGROUPS_EXPORT bool | AlkenylHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches alkenyl side chains or an H.
RDKIT_GENERICGROUPS_EXPORT bool | AlkynylAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches alkynyl side chains.
RDKIT_GENERICGROUPS_EXPORT bool | AlkynylHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches alkynyl side chains or an H.
RDKIT_GENERICGROUPS_EXPORT bool | CarbocyclicAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches carbocyclic side chains.
RDKIT_GENERICGROUPS_EXPORT bool | CarbocyclicHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches carbocyclic side chains or an H atom.
RDKIT_GENERICGROUPS_EXPORT bool | CarbocycloalkylAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches cycloalkyl side chains.
RDKIT_GENERICGROUPS_EXPORT bool | CarbocycloalkylHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches cycloalkyl side chains or an H atom.
RDKIT_GENERICGROUPS_EXPORT bool | CarbocycloalkenylAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches cycloalkenyl side chains.
RDKIT_GENERICGROUPS_EXPORT bool | CarbocycloalkenylHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches cycloalkenyl side chains or an H atom.
RDKIT_GENERICGROUPS_EXPORT bool | HeterocyclicAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches heterocyclic side chains.
RDKIT_GENERICGROUPS_EXPORT bool | HeterocyclicHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches heterocyclic side chains or an H atom.
RDKIT_GENERICGROUPS_EXPORT bool | CarboarylAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches aryl side chains.
RDKIT_GENERICGROUPS_EXPORT bool | CarboarylHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches aryl side chains or an H atom.
RDKIT_GENERICGROUPS_EXPORT bool | HeteroarylAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches heteroaryl side chains.
RDKIT_GENERICGROUPS_EXPORT bool | HeteroarylHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches heteroaryl side chains or an H atom.
RDKIT_GENERICGROUPS_EXPORT bool | CyclicAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches cyclic side chains.
RDKIT_GENERICGROUPS_EXPORT bool | CyclicHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches cyclic side chains or an H atom.
RDKIT_GENERICGROUPS_EXPORT bool | AcyclicAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches acyclic side chains.
RDKIT_GENERICGROUPS_EXPORT bool | AcyclicHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches acyclic side chains or an H atom.
RDKIT_GENERICGROUPS_EXPORT bool | CarboacyclicAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches all-carbon acyclic side chains.
RDKIT_GENERICGROUPS_EXPORT bool | CarboacyclicHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches all-carbon acyclic side chainsor or an H atom.
RDKIT_GENERICGROUPS_EXPORT bool | HeteroacyclicAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches acyclic side chains with at least one heteroatom.
RDKIT_GENERICGROUPS_EXPORT bool | HeteroacyclicHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches acyclic side chains with at least one heteroatom or an H atom.
RDKIT_GENERICGROUPS_EXPORT bool | AlkoxyacyclicAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches acyclic alkoxy side chains.
RDKIT_GENERICGROUPS_EXPORT bool | AlkoxyacyclicHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
RDKIT_GENERICGROUPS_EXPORT bool | NoCarbonRingAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches rings without carbon.
RDKIT_GENERICGROUPS_EXPORT bool | NoCarbonRingHAtomMatcher (const ROMol &mol, const Atom &atom, boost::dynamic_bitset<> ignore)
| Matches rings without carbon or just an H.

## Function Documentation

## ◆ AcyclicAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::AcyclicAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches acyclic side chains.

Note: this is Reaxys query type ACY and matches sidechains with no cycles

Conditions:

- no atom in the sidechain is in a ring and the group is NOT just an H atom

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ AcyclicHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::AcyclicHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches acyclic side chains or an H atom.

Note: this is Reaxys query type ACY and matches sidechains with no cycles

Conditions:

- no atom in the sidechain is in a ring

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ AlkenylAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::AlkenylAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches alkenyl side chains.

Conditions:

- side chain consists entirely of carbon or hydrogen
- contains at least one C=C
- no ring bonds

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ AlkenylHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::AlkenylHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches alkenyl side chains or an H.

Conditions:

- side chain consists entirely of carbon or hydrogen
- contains at least one C=C
- no ring bonds

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ AlkoxyacyclicAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::AlkoxyacyclicAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches acyclic alkoxy side chains.

Note: this is Reaxys query type AOX and matches alkoxy sidechains

Conditions:

- first atom is an O
- all other atoms are C
- all single bonds
- no atom in the sidechain is in a ring

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ AlkoxyacyclicHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::AlkoxyacyclicHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Note: this is Reaxys query type AOH and matches alkoxy sidechains or a hydrogen

Conditions:

- first atom is an O
- all other atoms are C
- all single bonds
- no atom in the sidechain is in a ring
- OR
- the whole group is just an H atom

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ AlkylAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::AlkylAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches alkyl side chains.

Conditions:

- side chain consists entirely of carbon or hydrogen
- at least one carbon is present
- all bonds are single
- no ring bonds

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ AlkylHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::AlkylHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches alkyl side chains or an H atom.

Conditions:

- side chain consists entirely of carbon or hydrogen
- all bonds are single
- no ring bonds

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ AlkynylAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::AlkynylAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches alkynyl side chains.

Conditions:

- side chain consists entirely of carbon or hydrogen
- contains at least one C#C
- no ring bonds

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ AlkynylHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::AlkynylHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches alkynyl side chains or an H.

Conditions:

- side chain consists entirely of carbon or hydrogen
- contains at least one C#C
- no ring bonds
- OR
- the whole group is an H atom

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ CarboacyclicAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::CarboacyclicAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches all-carbon acyclic side chains.

Note: this is Reaxys query type ABC and matches all-carbon sidechains with no cycles

Conditions:

- all atoms in the sidechain are carbon
- no atom in the sidechain is in a ring

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ CarboacyclicHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::CarboacyclicHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches all-carbon acyclic side chainsor or an H atom.

Note: this is Reaxys query type ABH and matches all-carbon sidechains with no cycles or just a H atom

Conditions:

- all atoms in the sidechain are carbon or H
- no atom in the sidechain is in a ring

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ CarboarylAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::CarboarylAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches aryl side chains.

Note: this is Reaxys query type ARY and matches carbocycles which are aromatic

Conditions:

- atom is in at least one aromatic ring composed entirely of carbon
- atom is not in any rings not compatible with the above conditions
- additional fused rings in the system must obey the same rules

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ CarboarylHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::CarboarylHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches aryl side chains or an H atom.

Note: this is Reaxys query type ARH and matches carbocycles which are aromatic or an H atom

Conditions:

- atom is in at least one aromatic ring composed entirely of carbon
- atom is not in any rings not compatible with the above conditions
- additional fused rings in the system must obey the same rules

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ CarbocyclicAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::CarbocyclicAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches carbocyclic side chains.

Note: this is Reaxys query type CBC and matches carbocycles

Conditions:

- atom is in at least one ring composed entirely of carbon
- atom is not in any rings not compatible with the above conditions
- additional fused rings in the system must obey the same rules

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ CarbocyclicHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::CarbocyclicHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches carbocyclic side chains or an H atom.

Note: this is Reaxys query type CBC and matches carbocycles

Conditions:

- atom is in at least one ring composed entirely of carbon
- atom is not in any rings not compatible with the above conditions
- additional fused rings in the system must obey the same rules
- OR the entire group is just an H atom

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ CarbocycloalkenylAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::CarbocycloalkenylAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches cycloalkenyl side chains.

Note: this is Reaxys query type CEL and matches carbocycles which have at least one double or aromatic bond.

Conditions:

- atom is in at least one ring composed entirely of carbon and with at least one double or aromatic bond
- atom is not in any rings not compatible with the above conditions
- additional fused rings in the system must obey the same rules (including that each ring must have at least one double or aromatic bond)

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ CarbocycloalkenylHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::CarbocycloalkenylHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches cycloalkenyl side chains or an H atom.

Note: this is Reaxys query type CEL and matches carbocycles which have at least one double or aromatic bond.

Conditions:

- atom is in at least one ring composed entirely of carbon and with at least one double or aromatic bond
- atom is not in any rings not compatible with the above conditions
- additional fused rings in the system must obey the same rules (including that each ring must have at least one double or aromatic bond)

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ CarbocycloalkylAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::CarbocycloalkylAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches cycloalkyl side chains.

Note: this is Reaxys query type CAL and is directly equivalent to alkyl, except the immediate atom needs to be in a ring.

Conditions:

- atom is in at least one ring composed entirely of carbon and connected with single bonds
- atoms in the ring do not have unsaturations (including exocyclic)
- atom is not in any rings not compatible with the above conditions
- additional fused rings in the system must obey the same rules (i.e. all single bonds)

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ CarbocycloalkylHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::CarbocycloalkylHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches cycloalkyl side chains or an H atom.

Note: this is Reaxys query type CAL and is directly equivalent to alkyl, except the immediate atom needs to be in a ring.

Conditions:

- atom is in at least one ring composed entirely of carbon and connected with single bonds
- atoms in the ring do not have unsaturations (including exocyclic)
- atom is not in any rings not compatible with the above conditions
- additional fused rings in the system must obey the same rules (i.e. all single bonds)
- OR
- the whole group is an H atom

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ CyclicAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::CyclicAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches cyclic side chains.

Note: this is Reaxys query type CYC and matches cycles

Conditions:

- atom is in at least one ring

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ CyclicHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::CyclicHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches cyclic side chains or an H atom.

Note: this is Reaxys query type CYH and matches cycles

Conditions:

- atom is in at least one ring
- or the entire group is just an H atom

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ GroupAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::GroupAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches any group as a side chain.

Note: this is Reaxys query type G and matches any sidechain

Conditions:

- at least one non-hydrogen atom is in the sidechain

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ GroupHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::GroupHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches any group as a side chain including just an H atom.

Note: this is Reaxys query type GH and matches any sidechain

Conditions:

- none

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ GroupStarAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::GroupStarAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches any group as a side chain.

Note: this is Reaxys query type G* and matches any sidechain that has a ring closure

Conditions:

- at least one non-hydrogen atom is in the sidechain
- at least one ring closure

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ GroupStarHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::GroupStarHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches any group as a side chain that has a ring closure or just an H atom.

Note: this is Reaxys query type GH* and matches any sidechains

Conditions:

- at least one ring closure
- OR
- the entire group is just an H atom

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ HeteroacyclicAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::HeteroacyclicAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches acyclic side chains with at least one heteroatom.

Note: this is Reaxys query type AHC and matches sidechains with no cycles and at least one heteroatom

Conditions:

- at least one non-carbon, non-hydrogen atom is in the sidechain
- no atom in the sidechain is in a ring

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ HeteroacyclicHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::HeteroacyclicHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches acyclic side chains with at least one heteroatom or an H atom.

Note: this is Reaxys query type AHC and matches sidechains with no cycles and at least one heteroatom

Conditions:

- at least one non-carbon, non-hydrogen atom is in the sidechain
- no atom in the sidechain is in a ring

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ HeteroarylAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::HeteroarylAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches heteroaryl side chains.

Note: this is Reaxys query type HAR and matches aromatic heterocycles

Conditions:

- atom is in at least one fused aromatic sytem with a heteroatom

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ HeteroarylHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::HeteroarylHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches heteroaryl side chains or an H atom.

Note: this is Reaxys query type HAR and matches aromatic heterocycles

Conditions:

- atom is in at least one fused aromatic sytem with a heteroatom
- or the entire group is an H atom

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ HeterocyclicAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::HeterocyclicAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches heterocyclic side chains.

Note: this is Reaxys query type CHC and matches heterocycles

Conditions:

- atom is in at least one fused ring with a heteroatom

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ HeterocyclicHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::HeterocyclicHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches heterocyclic side chains or an H atom.

Note: this is Reaxys query type CHH and matches heterocycles or an H atom

Conditions:

- atom is in at least one fused ring with a heteroatom
- or the entire group is a single H atom

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ NoCarbonRingAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::NoCarbonRingAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches rings without carbon.

Note: this is Reaxys query type CXX and matches rings which contain no carbon

Conditions:

- a ring is present
- none of the atoms in the fused ring system are carbon

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ NoCarbonRingHAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::Matchers::NoCarbonRingHAtomMatcher | ( | const ROMol & | mol,
|  | const Atom & | atom,
|  | boost::dynamic_bitset<> | ignore )

Matches rings without carbon or just an H.

Note: this is Reaxys query type CXH and matches rings which contain no carbon

Conditions:

- a ring is present
- none of the atoms in the fused ring system are carbon
- OR
- the entire group is just an H atom

References RDKIT_GENERICGROUPS_EXPORT.